import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.util.Map;
import java.util.ResourceBundle;

import javax.swing.JLabel;
import javax.swing.JPanel;

import org.netbeans.spi.wizard.WizardPage;


public class Resume extends WizardPage {
	
	Map settings;
	JLabel lblServletPath;
	JLabel lblDb;
	JLabel lblUser;
	JLabel lblPassword;
	JLabel lblSmtp;
	JLabel lblExpediteur;
	JLabel lblCommunes;
	

	public Resume(Map settings_) {
		this.settings = settings_;
		
		FlowLayout flLayout = (FlowLayout)getLayout();
		flLayout.setAlignment(FlowLayout.LEFT);
		flLayout.setVgap(30);
		
		add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.resume.preambule")));
		
		GridLayout glayout = new GridLayout(7, 2);
		glayout.setVgap(10);
		glayout.setHgap(10);
		
		JPanel etiquettes = new JPanel(glayout);
		JPanel params = new JPanel();
		
		lblServletPath = new JLabel();
		lblDb = new JLabel();
		lblUser = new JLabel();
		lblPassword = new JLabel();
		lblSmtp = new JLabel();
		lblExpediteur = new JLabel();
		lblCommunes = new JLabel();
		afficherParametres();
		
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.resume.lbl.servlet")));
		etiquettes.add(lblServletPath);
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.resume.lbl.base")));
		etiquettes.add(lblDb);
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.resume.lbl.user")));
		etiquettes.add(lblUser);
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.resume.lbl.password")));
		etiquettes.add(lblPassword);
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.resume.lbl.smtp")));
		etiquettes.add(lblSmtp);
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.resume.lbl.expediteur")));
		etiquettes.add(lblExpediteur);
		etiquettes.add(new JLabel(((ResourceBundle)settings.get("messages")).getString("gui.resume.lbl.communes")));
		etiquettes.add(lblCommunes);
		//lblCommunes = new JLabel((String)settings.get("chargerCommunes"));
		
		params.add(etiquettes);
		add(etiquettes);
	}
	
	private void afficherParametres() {
		String servletPath = (String)settings.get("txtWebapps") + "/" + (String)settings.get("txtServlet");
		lblServletPath.setText(servletPath);
		settings.put("servletPath", servletPath);
		lblDb.setText((String)settings.get("txtDb"));
		lblUser.setText((String)settings.get("txtUser"));
		lblPassword.setText((String)settings.get("txtPassword"));
		lblSmtp.setText((String)settings.get("txtSmtp"));
		lblExpediteur.setText((String)settings.get("txtExpediteur"));
		lblCommunes.setText(((Boolean)settings.get("rbChargerCommunes")).booleanValue() ? 
     			((ResourceBundle)settings.get("messages")).getString("osames.oui") :
				((ResourceBundle)settings.get("messages")).getString("osames.non"));
	}
	
	protected void renderingPage() {
		afficherParametres();
	}
	
}
